vennaVenna

Models

Model discovery and management.

GET
/v1/models
AuthorizationBearer <token>

Workspace API key — Authorization: Bearer vk_.... Billing targets the key workspace.

In: header

Response Body

application/json

curl -X GET "https://example.com/v1/models"
{  "data": [    {      "capabilities": {        "input_modalities": [          "string"        ],        "json_mode": true,        "output_modalities": [          "string"        ],        "reasoning": true,        "streaming": true,        "structured_output": true,        "tools": true      },      "context_length": 1,      "created": 0,      "deprecated": true,      "display_name": "string",      "id": "string",      "knowledge_cutoff": "string",      "max_output_tokens": 1,      "object": "model",      "owned_by": "string",      "provider": "string",      "ready_now": true,      "type": "chat"    }  ],  "object": "list"}
Empty
GET
/v1/models/{id}
AuthorizationBearer <token>

Workspace API key — Authorization: Bearer vk_.... Billing targets the key workspace.

In: header

Path Parameters

id*string

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/models/abc"
{  "capabilities": {    "input_modalities": [      "string"    ],    "json_mode": true,    "output_modalities": [      "string"    ],    "reasoning": true,    "streaming": true,    "structured_output": true,    "tools": true  },  "context_length": 1,  "created": 0,  "deprecated": true,  "display_name": "string",  "id": "string",  "knowledge_cutoff": "string",  "max_output_tokens": 1,  "object": "model",  "owned_by": "string",  "provider": "string",  "ready_now": true,  "type": "chat",  "pricing": {    "cache_read_per_1m": "string",    "input_per_1m": "string",    "output_per_1m": "string",    "per_1m_chars": "string",    "per_audio_second": "string",    "per_image": "string",    "per_video_second": "string",    "pricing_status": "string",    "reasoning_per_1m": "string"  },  "video": {    "default_size": "string",    "fps": {      "max": 0,      "min": 0    },    "seconds": {      "max": 0,      "min": 0    },    "supported_sizes": [      {        "price_multiplier": "string",        "size": "string"      }    ]  }}
{  "error": {    "code": "not_implemented",    "message": "Endpoint 'POST /v1/chat/completions' is not implemented yet on Venna gateway",    "param": null,    "type": "not_implemented"  }}
DELETE
/v1/models/{id}
AuthorizationBearer <token>

Workspace API key — Authorization: Bearer vk_.... Billing targets the key workspace.

In: header

Path Parameters

id*string

Response Body

application/json

application/json

curl -X DELETE "https://example.com/v1/models/abc"
{  "deleted": true,  "id": "string",  "object": "model"}
{  "error": {    "code": "not_implemented",    "message": "Endpoint 'POST /v1/chat/completions' is not implemented yet on Venna gateway",    "param": null,    "type": "not_implemented"  }}